﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var lang = args["language_type"]; %>
  <div id="Set_Eco">
      <!--
      把data.list[i][1]相同的数字归为一组
      jQuery.inArray用来判断数组中是否存在某个元素
      -->
      <%
      var ids = [];
      var listArr = [];
      for(var i=1,ilen=data.list.length;i<ilen; i++){ 
         var index = jQuery.inArray(data.list[i][1], ids);
         if (index == -1) {
            ids.push(data.list[i][1]);
            listArr[ids.length-1] = [];
            listArr[ids.length-1].push(data.list[i]);
         } else {
            if(!listArr[index]){
                listArr[index] = [];
            }
            listArr[index].push(data.list[i]);
         }
      };
      %>
      <form action="../cgi-bin/web_cgi_control.cgi" id="settingForm" method="post">
      <%
      for(var z=0,zlen=listArr.length; z<zlen;z++){ 
      %>
      <div class="table-container">                    
        <div class="table-title"><span><%=data.list[0][z][lang] %></span></div>
          <div class="table-list padding-tn">
            
            <div class="table">
                <div class="table-header">
                    <ul>
                        <li class="t-1"><strong class="left pl">/*[ID_SIGNAL]*/</strong></li>
                        <li class="t-2"><strong class="left pl">/*[ID_VALUE]*/</strong></li>
                        <li class="t-3"><strong class="left pl">/*[ID_TIME]*/</strong></li>
                        <li class="t-4"><strong class="left pl">/*[ID_SET_VALUE]*/</strong></li>
                        <li class="t-5"><strong>/*[ID_SET]*/</strong></li>
                    </ul>
                </div>
                <div class="table-body">
                     <%
                     var dataItem = listArr[z];
                     if(dataItem && dataItem.length>0){
                     for(var i=0,ilen=dataItem.length;i<ilen; i++){ 
							var hasAuthority = args["level"]>=dataItem[i][4];
							var ControlSignal = (dataItem[i][2] == 1) ? true : false;
							var ControlDisabled = (ControlSignal && dataItem[i][12]==0 || !hasAuthority) ? true : false;
                            if(dataItem[i][5]>0){
                                var setTimeStr = Pages.SetSettingDate(dataItem[i][5]);
                            } else {
                                var setTimeStr = "--";
                            }
                        %>
                    <ul class= "<%if(i%2==0){%> gray <%if(i==ilen-1){ %> bottom_line <%}}else{ %><%if(i==ilen-1){ %> bottom_line2 <%}} %>"  id="<%=dataItem[i][1] %>_<%=dataItem[i][2] %>_<%=dataItem[i][3] %>">
                        <li class="t-1"><span class="left pl" title="<%=dataItem[i][0][lang] %>"><%=dataItem[i][0][lang] %></span></li>
                        <li class="t-2"><span class="left pl">
                        <%if(ControlSignal && dataItem[i][10].length==1){ %>
                        <%=dataItem[i][10][0][lang] %>
                        <%}else{ %>
                        <%if(dataItem[i][8]==5){ %><%=dataItem[i][10][dataItem[i][9]][lang]%> <%}else{ %><%=dataItem[i][9] %><%};if(typeof dataItem[i][10] =="string"){ %><%=dataItem[i][10]%><%};} %></span></li>
                        <li class="t-3"><span class="left pl"><%=setTimeStr %></span></li>
                        <li class="t-4">
                             <%if(dataItem[i][8]==5){
                             if(dataItem[i][10].length<=2){ %>
                                <span class="left pl radio">
                                <fieldset class="set_value">
                                <%
                                for(var j=0,jlen=dataItem[i][10].length; j<jlen;j++){ 
                                var inputValue = (jlen==1)? 1: j;
                                %><div name="control_<%=z %>_<%=i %>" value="<%=inputValue %>" <%if(j==0){if(ControlDisabled){%>class="radiodiv disradiodiv"<%}else{%>class="radiodiv"<%}}else{if(ControlDisabled){%>class="radiodiv disradiodivnot"<%}else{%>class="radiodiv radiodivnot "<%}}%>><label><%=dataItem[i][10][j][lang]%></label></div>
                                <%} %>
                                </fieldset>
                                </span>
                            <%}else {%>
                            <span class="left pl selectsp">
                              <div class="dropdown">
                                    <div name="control_<%=i %>" <%if(args['level']<dataItem[i][4]){ %>  class="input_select set_disabled"<%} else { %> class="input_select set_value" <%} %> data-index="0"><%=dataItem[i][10][0][lang]%></div>
                                    <ul class="language yinc">
                                    <%for(var j=0,jlen=dataItem[i][10].length; j<jlen;j++){ %>                     
                                         <li><a href="javascript:void(0)" rel="<%=j %>"><%=dataItem[i][10][j][lang]%></a></li>
                                    <%} %>
                                    </ul>
                            </div>
                              </span>
                            <%}} else {%>
                                <span class="left pl text"><input type="text" value="" name="control_<%=i %>" <%if(args['level']<dataItem[i][4]){ %> disabled="disabled" class="set_disabled"<%} else { %> class="set_value" <%} %> validate='{"type":<%=dataItem[i][8] %>,"range":[<%=dataItem[i][7]%>,<%=dataItem[i][6]%>]}' /> <i><%=dataItem[i][7] %>~<%=dataItem[i][6] %></i></span><%}%>
                    
                        </li>
                        <li class="t-5"><a href="#" hideFocus="true" class="btn_set <%if(ControlSignal){ %> set_control<%}%> <%if(ControlDisabled){%> btn_set_disabled<%}%>"
						<%if(!ControlDisabled){%>
							post="equip_ID=<%=dataItem[i][1]%>&signal_type=<%=dataItem[i][2] %>&signal_id=<%=dataItem[i][3] %>&value_type=<%=dataItem[i][8] %>&control_type=1"
							<%if(ControlSignal){ %> tip="<%=jQuery.toJSON(dataItem[i][11]) %>"<%} else { %>value="<%=dataItem[i][9]%>"<%} %>
						<%}%>><i>/*[ID_SET1]*/</i></a></li>
                    </ul>
                    <%}; } %>
                </div>
            </div>
            
        </div>
      </div>
      <%} %>
      <%if(zlen==0){ %>
      <div class="is-empty">/*[ID_NO_DATA]*/</div>
      <%} %>
      </form>
  </div>
</body></html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>